ETHER_ADDR_EQUAL_UNA(9)

NAME
ether_addr_equal_unaligned - Compare two not u16 aligned Ethernet addresses

SYNOPSIS

bool ether_addr_equal_unaligned(const u8 * addr1, const u8 * addr2);

ARGUMENTS

addr1
    Pointer to a six-byte array containing the Ethernet address

addr2
    Pointer other six-byte array containing the Ethernet address

DESCRIPTION

Compare two Ethernet addresses, returns true if equal

PLEASE NOTE

Use only when any Ethernet address may not be u16 aligned.

COPYRIGHT